Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.26.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
112.26.0.0
Broadcast address
112.26.63.255
First usable
112.26.0.1
Last usable
112.26.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 701A0000 · Integer 1880752128 to 1880768511
Reverse DNS zones
0.26.112.in-addr.arpa
1.26.112.in-addr.arpa
2.26.112.in-addr.arpa
3.26.112.in-addr.arpa
4.26.112.in-addr.arpa
5.26.112.in-addr.arpa
6.26.112.in-addr.arpa
7.26.112.in-addr.arpa
8.26.112.in-addr.arpa
9.26.112.in-addr.arpa
10.26.112.in-addr.arpa
11.26.112.in-addr.arpa
12.26.112.in-addr.arpa
13.26.112.in-addr.arpa
14.26.112.in-addr.arpa
15.26.112.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00011010.00000000.00000000112.26.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01110000.00011010.00000000.00000000112.26.0.0
Broadcast01110000.00011010.00111111.11111111112.26.63.255
Split into smaller subnets/25

112.26.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.26.0.0/25112.26.0.1 to 112.26.0.126112.26.0.127126
2112.26.0.128/25112.26.0.129 to 112.26.0.254112.26.0.255126
3112.26.1.0/25112.26.1.1 to 112.26.1.126112.26.1.127126
4112.26.1.128/25112.26.1.129 to 112.26.1.254112.26.1.255126
5112.26.2.0/25112.26.2.1 to 112.26.2.126112.26.2.127126
6112.26.2.128/25112.26.2.129 to 112.26.2.254112.26.2.255126
7112.26.3.0/25112.26.3.1 to 112.26.3.126112.26.3.127126
8112.26.3.128/25112.26.3.129 to 112.26.3.254112.26.3.255126
9112.26.4.0/25112.26.4.1 to 112.26.4.126112.26.4.127126
10112.26.4.128/25112.26.4.129 to 112.26.4.254112.26.4.255126
11112.26.5.0/25112.26.5.1 to 112.26.5.126112.26.5.127126
12112.26.5.128/25112.26.5.129 to 112.26.5.254112.26.5.255126
13112.26.6.0/25112.26.6.1 to 112.26.6.126112.26.6.127126
14112.26.6.128/25112.26.6.129 to 112.26.6.254112.26.6.255126
15112.26.7.0/25112.26.7.1 to 112.26.7.126112.26.7.127126
16112.26.7.128/25112.26.7.129 to 112.26.7.254112.26.7.255126
17112.26.8.0/25112.26.8.1 to 112.26.8.126112.26.8.127126
18112.26.8.128/25112.26.8.129 to 112.26.8.254112.26.8.255126
19112.26.9.0/25112.26.9.1 to 112.26.9.126112.26.9.127126
20112.26.9.128/25112.26.9.129 to 112.26.9.254112.26.9.255126
21112.26.10.0/25112.26.10.1 to 112.26.10.126112.26.10.127126
22112.26.10.128/25112.26.10.129 to 112.26.10.254112.26.10.255126
23112.26.11.0/25112.26.11.1 to 112.26.11.126112.26.11.127126
24112.26.11.128/25112.26.11.129 to 112.26.11.254112.26.11.255126
25112.26.12.0/25112.26.12.1 to 112.26.12.126112.26.12.127126
26112.26.12.128/25112.26.12.129 to 112.26.12.254112.26.12.255126
27112.26.13.0/25112.26.13.1 to 112.26.13.126112.26.13.127126
28112.26.13.128/25112.26.13.129 to 112.26.13.254112.26.13.255126
29112.26.14.0/25112.26.14.1 to 112.26.14.126112.26.14.127126
30112.26.14.128/25112.26.14.129 to 112.26.14.254112.26.14.255126
31112.26.15.0/25112.26.15.1 to 112.26.15.126112.26.15.127126
32112.26.15.128/25112.26.15.129 to 112.26.15.254112.26.15.255126
33112.26.16.0/25112.26.16.1 to 112.26.16.126112.26.16.127126
34112.26.16.128/25112.26.16.129 to 112.26.16.254112.26.16.255126
35112.26.17.0/25112.26.17.1 to 112.26.17.126112.26.17.127126
36112.26.17.128/25112.26.17.129 to 112.26.17.254112.26.17.255126
37112.26.18.0/25112.26.18.1 to 112.26.18.126112.26.18.127126
38112.26.18.128/25112.26.18.129 to 112.26.18.254112.26.18.255126
39112.26.19.0/25112.26.19.1 to 112.26.19.126112.26.19.127126
40112.26.19.128/25112.26.19.129 to 112.26.19.254112.26.19.255126
41112.26.20.0/25112.26.20.1 to 112.26.20.126112.26.20.127126
42112.26.20.128/25112.26.20.129 to 112.26.20.254112.26.20.255126
43112.26.21.0/25112.26.21.1 to 112.26.21.126112.26.21.127126
44112.26.21.128/25112.26.21.129 to 112.26.21.254112.26.21.255126
45112.26.22.0/25112.26.22.1 to 112.26.22.126112.26.22.127126
46112.26.22.128/25112.26.22.129 to 112.26.22.254112.26.22.255126
47112.26.23.0/25112.26.23.1 to 112.26.23.126112.26.23.127126
48112.26.23.128/25112.26.23.129 to 112.26.23.254112.26.23.255126
49112.26.24.0/25112.26.24.1 to 112.26.24.126112.26.24.127126
50112.26.24.128/25112.26.24.129 to 112.26.24.254112.26.24.255126
51112.26.25.0/25112.26.25.1 to 112.26.25.126112.26.25.127126
52112.26.25.128/25112.26.25.129 to 112.26.25.254112.26.25.255126
53112.26.26.0/25112.26.26.1 to 112.26.26.126112.26.26.127126
54112.26.26.128/25112.26.26.129 to 112.26.26.254112.26.26.255126
55112.26.27.0/25112.26.27.1 to 112.26.27.126112.26.27.127126
56112.26.27.128/25112.26.27.129 to 112.26.27.254112.26.27.255126
57112.26.28.0/25112.26.28.1 to 112.26.28.126112.26.28.127126
58112.26.28.128/25112.26.28.129 to 112.26.28.254112.26.28.255126
59112.26.29.0/25112.26.29.1 to 112.26.29.126112.26.29.127126
60112.26.29.128/25112.26.29.129 to 112.26.29.254112.26.29.255126
61112.26.30.0/25112.26.30.1 to 112.26.30.126112.26.30.127126
62112.26.30.128/25112.26.30.129 to 112.26.30.254112.26.30.255126
63112.26.31.0/25112.26.31.1 to 112.26.31.126112.26.31.127126
64112.26.31.128/25112.26.31.129 to 112.26.31.254112.26.31.255126
65112.26.32.0/25112.26.32.1 to 112.26.32.126112.26.32.127126
66112.26.32.128/25112.26.32.129 to 112.26.32.254112.26.32.255126
67112.26.33.0/25112.26.33.1 to 112.26.33.126112.26.33.127126
68112.26.33.128/25112.26.33.129 to 112.26.33.254112.26.33.255126
69112.26.34.0/25112.26.34.1 to 112.26.34.126112.26.34.127126
70112.26.34.128/25112.26.34.129 to 112.26.34.254112.26.34.255126
71112.26.35.0/25112.26.35.1 to 112.26.35.126112.26.35.127126
72112.26.35.128/25112.26.35.129 to 112.26.35.254112.26.35.255126
73112.26.36.0/25112.26.36.1 to 112.26.36.126112.26.36.127126
74112.26.36.128/25112.26.36.129 to 112.26.36.254112.26.36.255126
75112.26.37.0/25112.26.37.1 to 112.26.37.126112.26.37.127126
76112.26.37.128/25112.26.37.129 to 112.26.37.254112.26.37.255126
77112.26.38.0/25112.26.38.1 to 112.26.38.126112.26.38.127126
78112.26.38.128/25112.26.38.129 to 112.26.38.254112.26.38.255126
79112.26.39.0/25112.26.39.1 to 112.26.39.126112.26.39.127126
80112.26.39.128/25112.26.39.129 to 112.26.39.254112.26.39.255126
81112.26.40.0/25112.26.40.1 to 112.26.40.126112.26.40.127126
82112.26.40.128/25112.26.40.129 to 112.26.40.254112.26.40.255126
83112.26.41.0/25112.26.41.1 to 112.26.41.126112.26.41.127126
84112.26.41.128/25112.26.41.129 to 112.26.41.254112.26.41.255126
85112.26.42.0/25112.26.42.1 to 112.26.42.126112.26.42.127126
86112.26.42.128/25112.26.42.129 to 112.26.42.254112.26.42.255126
87112.26.43.0/25112.26.43.1 to 112.26.43.126112.26.43.127126
88112.26.43.128/25112.26.43.129 to 112.26.43.254112.26.43.255126
89112.26.44.0/25112.26.44.1 to 112.26.44.126112.26.44.127126
90112.26.44.128/25112.26.44.129 to 112.26.44.254112.26.44.255126
91112.26.45.0/25112.26.45.1 to 112.26.45.126112.26.45.127126
92112.26.45.128/25112.26.45.129 to 112.26.45.254112.26.45.255126
93112.26.46.0/25112.26.46.1 to 112.26.46.126112.26.46.127126
94112.26.46.128/25112.26.46.129 to 112.26.46.254112.26.46.255126
95112.26.47.0/25112.26.47.1 to 112.26.47.126112.26.47.127126
96112.26.47.128/25112.26.47.129 to 112.26.47.254112.26.47.255126
97112.26.48.0/25112.26.48.1 to 112.26.48.126112.26.48.127126
98112.26.48.128/25112.26.48.129 to 112.26.48.254112.26.48.255126
99112.26.49.0/25112.26.49.1 to 112.26.49.126112.26.49.127126
100112.26.49.128/25112.26.49.129 to 112.26.49.254112.26.49.255126
101112.26.50.0/25112.26.50.1 to 112.26.50.126112.26.50.127126
102112.26.50.128/25112.26.50.129 to 112.26.50.254112.26.50.255126
103112.26.51.0/25112.26.51.1 to 112.26.51.126112.26.51.127126
104112.26.51.128/25112.26.51.129 to 112.26.51.254112.26.51.255126
105112.26.52.0/25112.26.52.1 to 112.26.52.126112.26.52.127126
106112.26.52.128/25112.26.52.129 to 112.26.52.254112.26.52.255126
107112.26.53.0/25112.26.53.1 to 112.26.53.126112.26.53.127126
108112.26.53.128/25112.26.53.129 to 112.26.53.254112.26.53.255126
109112.26.54.0/25112.26.54.1 to 112.26.54.126112.26.54.127126
110112.26.54.128/25112.26.54.129 to 112.26.54.254112.26.54.255126
111112.26.55.0/25112.26.55.1 to 112.26.55.126112.26.55.127126
112112.26.55.128/25112.26.55.129 to 112.26.55.254112.26.55.255126
113112.26.56.0/25112.26.56.1 to 112.26.56.126112.26.56.127126
114112.26.56.128/25112.26.56.129 to 112.26.56.254112.26.56.255126
115112.26.57.0/25112.26.57.1 to 112.26.57.126112.26.57.127126
116112.26.57.128/25112.26.57.129 to 112.26.57.254112.26.57.255126
117112.26.58.0/25112.26.58.1 to 112.26.58.126112.26.58.127126
118112.26.58.128/25112.26.58.129 to 112.26.58.254112.26.58.255126
119112.26.59.0/25112.26.59.1 to 112.26.59.126112.26.59.127126
120112.26.59.128/25112.26.59.129 to 112.26.59.254112.26.59.255126
121112.26.60.0/25112.26.60.1 to 112.26.60.126112.26.60.127126
122112.26.60.128/25112.26.60.129 to 112.26.60.254112.26.60.255126
123112.26.61.0/25112.26.61.1 to 112.26.61.126112.26.61.127126
124112.26.61.128/25112.26.61.129 to 112.26.61.254112.26.61.255126
125112.26.62.0/25112.26.62.1 to 112.26.62.126112.26.62.127126
126112.26.62.128/25112.26.62.129 to 112.26.62.254112.26.62.255126
127112.26.63.0/25112.26.63.1 to 112.26.63.126112.26.63.127126
128112.26.63.128/25112.26.63.129 to 112.26.63.254112.26.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses